debian: Sync patches with Debian
[metze/wireshark/wip.git] / debian / patches / 09_idl2wrs.patch
1 Description: Do not try to locate wireshark_be.py and wireshark_gen.py in
2  non-standard places.
3 Author: Frederic Peters <fpeters@debian.org>
4
5 --- a/tools/idl2wrs
6 +++ b/tools/idl2wrs
7 @@ -65,41 +65,8 @@
8      exit 1;
9  fi
10  
11 -#
12 -# Run wireshark backend, looking for wireshark_be.py and wireshark_gen.py
13 -# in pythons's "site-packages" directory. If cannot find that, then
14 -# try looking in current directory. If still cannot, then exit with
15 -# error.
16 -
17 -if [ -f $PYTHONPATH/site-packages/wireshark_be.py ] && [ -f $PYTHONPATH/site-packages/wireshark_gen.py ]; then
18 -    exec omniidl  -p $PYTHONPATH/site-packages -b wireshark_be $@
19 -    /* not reached */
20 -fi
21 -
22 -# Try current directory.
23 -
24 -if [ -f ./wireshark_be.py ] && [ -f ./wireshark_gen.py ]; then
25 -    exec omniidl  -p ./ -b wireshark_be $@
26 -    /* not reached */
27 -fi
28 -
29 -# Could not find both wireshark_be.py AND wireshark_gen.py
30 -# So let's just try to run it without -p, hoping that the installation
31 -# set up a valid path.
32 -
33  exec omniidl -b wireshark_be $@
34  
35 -old code: not reached
36 -
37 -echo "idl2wrs Error: Could not find both wireshark_be.py AND wireshark_gen.py."
38 -echo "Please ensure you have the PYTHONPATH variable set, or that wireshark_be.py "
39 -echo "and wireshark_gen.py exist in the current directory. "
40 -echo
41 -echo "On this system, PYTHONPATH is : $PYTHONPATH"
42 -echo
43 -
44 -exit 2
45 -
46  
47  #
48  # Editor modelines  -  http://www.wireshark.org/tools/modelines.html